package com.bonus.canteen.core.common.utils;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;
import com.bonus.canteen.core.order.deprecated.constants.OrdIfWriteOffEnum;

public class PayWriteOffConverter implements Converter<Integer> {
   public Class supportJavaTypeKey() {
      return String.class;
   }

   public CellDataTypeEnum supportExcelTypeKey() {
      return null;
   }

   public Integer convertToJavaData(ReadCellData cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
      return null;
   }

   public WriteCellData<OrdIfWriteOffEnum> convertToExcelData(Integer payState, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
      return new WriteCellData(OrdIfWriteOffEnum.getDesc(payState));
   }
}
